org.codehaus.groovy.classgen

## Class ReturnAdder

- java.lang.Object
- - org.codehaus.groovy.classgen.ReturnAdder

-     public class ReturnAdder
      extends java.lang.Object

  Utility class to add return statements. Extracted from Verifier as it can be useful for some AST transformations

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ReturnAdder.ReturnStatementListener` Implement this method in order to be notified whenever a return statement is generated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReturnAdder()`
    `ReturnAdder(ReturnAdder.ReturnStatementListener listener)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addReturnIfNeeded(MethodNode node)` Deprecated. Use `visitMethod(org.codehaus.groovy.ast.MethodNode)` instead
    `void` | `visitMethod(MethodNode node)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReturnAdder

          public ReturnAdder()

    - #### ReturnAdder

          public ReturnAdder(ReturnAdder.ReturnStatementListener listener)

  - ### Method Detail

    - #### addReturnIfNeeded

          @Deprecated
          public static void addReturnIfNeeded(MethodNode node)

      Deprecated. Use `visitMethod(org.codehaus.groovy.ast.MethodNode)` instead
      Adds return statements in method code whenever an implicit return is detected.
      Parameters:
        `node` - the method node where to add return statements

    - #### visitMethod

          public void visitMethod(MethodNode node)